//
// "$Id: Fl_Pack.H 9582 2012-06-10 11:10:24Z matt $"
//
// Pack header file for the Fast Light Tool Kit (FLTK).
//
// Copyright 1998-2012 by Bill Spitzak and others.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
// Please report all bugs and problems on the following page:
//
//     http://www.fltk.org/str.php
//

#ifndef Fl_Pack_H
#define Fl_Pack_H

#include <fltk3/PackedGroup.h>
#include <FL/Fl_Group.H>


FLTK3_WRAPPER_INTERFACE_BEGIN(Fl_Pack, PackedGroup)
FLTK3_WRAPPER_INTERFACE_WIDGET(Fl_Pack, PackedGroup)
FLTK3_WRAPPER_INTERFACE_END()


class FL_EXPORT Fl_Pack : public Fl_Group {

public:
  
  enum { // values for type(int)
    VERTICAL = 0,
    HORIZONTAL = 1
  };

  FLTK3_WIDGET_VCALLS(Fl_Pack, PackedGroup)

  Fl_Pack() {}
  
  Fl_Pack(int x,int y,int w ,int h,const char *l = 0) {
    _p = new fltk3::PackedGroup_I(_ctor_dx(x), _ctor_dy(y), w, h, l);
    _p->wrapper(this);
  }

  int spacing() const {
    return ((fltk3::PackedGroup*)_p)->spacing();
  }

  void spacing(int i) {
    ((fltk3::PackedGroup*)_p)->spacing(i);
  }

  uchar horizontal() const {
    return ((fltk3::PackedGroup*)_p)->horizontal();
  }
  
};


#endif

//
// End of "$Id: Fl_Pack.H 9582 2012-06-10 11:10:24Z matt $".
//
